#!/bin/bash
#########################################################################
#                                                                       #
#                 Startskript fr die SWE 2.MIF                         #
#                                                                       #
#  Das Skript ist als Beispiel zu betrachten und muss eventuell an die  #
#  Gegebenheiten des lokalen Projektes angepasst werden.                #
#                                                                       #
#  Es wird angenommen, dass die Kernsoftware gem der allgmeinen Vor-  #
#  gaben installiert wurde, insbesondere die Installation der SWE in    # 
#  Einzel-Unterverzeichnissen unter dem Verzeichnis                     # 
#  "distributionspakete" und die Existenz einer allgemeinen Einstel-    #
#  lungsdatei "einstellungen.sh" im Verzeichnis "../../skripte-bash"    #
#  relativ zum Verzeichnis, in dem dieses Skript residiert, in dem die  #
#  allgemeinen Parameter fr die Datenverteilerkopplung festgelegt sind.#
#                                                                       #
#########################################################################

source ../../skripte-bash/einstellungen.sh


#########################################################################
# Folgende, aus der Datei "einstellungen.sh" bernommene Parameter,     #
# mssen berprft und evtl. angepasst werden                           #
#########################################################################
# Parameter fr den Java-Interpreter
#jvmArgs="-Dfile.encoding=ISO-8859-1"

# Parameter fr den Datenverteiler
#dav1="-datenverteiler=localhost:8083 -benutzer=Tester \
#  -authentifizierung=passwd -debugFilePath=.."


#########################################################################
#                                                                       #
#                        Parameter der SWE                              #
#                                                                       #
#########################################################################
GUI="-guiStatischerImportMif=ja"

#########################################################################
#                                                                       #
#                  Ausfhrung der Softwareeinheit                       #
#                                                                       #
# Ab hier mssen in dem Skript keine nderungen mehr vorgenommen werden.#
#                                                                       #
#########################################################################

java $jvmArgs -jar de.bsvrz.kex.mif-runtime.jar \
 $dav1 \
 -debugLevelFileText=INFO \
 -debugLevelStdErrText=WARNING \
 -debugSetLoggerAndLevel=:INFO \
  $GUI \
&
